#!/bin/sh

# Stack_GetFileName.sh
# 2008-12-31
# Chieh Cheng
# http://www.CynosureX.com/

# GNU General Public License (GPL) Version 2, June 1991

  scriptName=`basename "$0"`

  usage ()
  {
    echo "  Usage:   $scriptName \"name\""
    echo
    echo "           name - Name of the set."
  }

  if [ $# -eq 1 ]
  then
    tempDir="/tmp"
    tokens=`Tokenize.sh "_" "${scriptName}"`
    type=`echo "${tokens}" | Token.sh 1`
    suffix="_${type}.txt"

    name="$1"

    file="${tempDir}/${name}${suffix}"

    echo "${file}"
  else
    usage
  fi
